﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using SampleProject.DAL.HelperClasses;
using SampleProject.DAL.EntityClasses;
using SD.LLBLGen.Pro.ORMSupportClasses;
using SampleProject.DAL.DatabaseSpecific;
using System.Data;

namespace SampleProject.Web.Repositories
{
    public class UserRepository : BaseRepository
    {
        protected UserRepository()
            : base()
        {
        }

        /// <summary>
        /// Returns an instance of the repository.
        /// </summary>
        /// <returns>Instance of the repository class.</returns>
        public static new UserRepository GetInstance()
        {
            return new UserRepository();
        }
       
        /// <summary>
        /// Fetches user profile or creates a new one
        /// </summary>
        /// <param name="userId">UserId</param>
        /// <returns>User profile</returns>
        public ExtendedUserProfileEntity GetExtendedUserProfileOrDefault(Guid userId)
        {
            var profile = this.GetExtendedUserProfile(userId);
            if (profile != null)
                return profile;
            return this.CreateExtendedUserProfile(userId);
        }

        /// <summary>
        /// Fetches user profile
        /// </summary>
        /// <param name="userId">User Id</param>
        /// <returns>User profile</returns>
        public ExtendedUserProfileEntity GetExtendedUserProfile(Guid userId)
        {
            ExtendedUserProfileEntity user = new ExtendedUserProfileEntity(userId);
            if (this.FetchEntity(user))
                return user;
            return null;
        }

        /// <summary>
        /// Creates new ExtendedUserProfileEntity
        /// </summary>
        /// <param name="userId">userid</param>
        /// <returns>New ExtendedUserProfileEntity</returns>
        public ExtendedUserProfileEntity CreateExtendedUserProfile(Guid userId)
        {
            ExtendedUserProfileEntity user = new ExtendedUserProfileEntity(userId);            
            return user;
        }       
    }
}